Package org.apache.tomcat.util.threads

# Class Constants

java.lang.Object
org.apache.tomcat.util.threads.Constants

public final class Constants extends Object
Static constants for this package.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `DEFAULT_THREAD_RENEWAL_DELAY`
  `static final boolean`
  `IS_SECURITY_ENABLED`
  Has security been turned on?

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_THREAD_RENEWAL_DELAY

    public static final long DEFAULT_THREAD_RENEWAL_DELAY
    See Also:
      - Constant Field Values

  - ### IS_SECURITY_ENABLED

    public static final boolean IS_SECURITY_ENABLED
    Has security been turned on?

- ## Constructor Details

  - ### Constants

    public Constants()